Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008832TestLinkUsers and Rightspublic2019-12-27 13:442020-01-02 15:39
Reportervalentim 
Assigned Tofman 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSCentOSOS Version8
Product Version1.9.19.01 (1.9.19 fixes) 
Fixed in Version1.9.20 
Summary0008832: Users/Roles menu not working
DescriptionAfter fresh install, click in the icon "Users/Roles" nothing changes.

It's possible to see that "lib/usermanagement/usersView.php" is being loaded, but the screen gets empty.
Steps To ReproduceInstall Apache
Install MySQL
Install PHP
Create user for testlink installation
Install TestLink
sign-in with admin/admin
click on Users/Roles icon
Additional InformationThere's no log information about any kind of error.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql Ver 8.0.17 for Linux on x86_64
BrowserGoogle Chrome Version 79.0.3945.88 (Official Version) 64 bits
PHP VersionPHP 7.4.1 (cli) (built: Dec 17 2019 16:35:58) ( NTS )
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon TestLink_Menu.png [^] (19,142 bytes) 2019-12-27 13:44

- Relationships

-  Notes
(0029335)
valentim (reporter)
2019-12-27 15:19
edited on: 2019-12-27 15:23

A very dirty way to fix it is changing the file:
/var/www/html/testlink-1.9.19.01/gui/templates_c/62321d76c95e48851369c54b86f235cd1d99c2a2_0.file.usersView.tpl.php

The line:
<?php $_smarty_tpl->_assignInScope('tableID', ((string)$_smarty_tpl->tpl_vars['matrix']->value)."->tableID");?>

For this 2 lines:
<?php $r = var_export($_smarty_tpl->tpl_vars['matrix']->value, true);?>
<?php $_smarty_tpl->_assignInScope('tableID', ((string)$r)."->tableID");?>

(0029337)
fman (administrator)
2019-12-28 07:40

The change you have done will not work for other user because you have changed the compiled template

TestLink is not tested in bleeding edge PHP, may be issue is a PHP compatibility .
Please test on 7.3.x and provide feedback
(0029342)
fman (administrator)
2019-12-28 10:25

Tested on PHP 7.4.1
PHP Fatal error: Uncaught Error: Object of class tlExtTable could not be converted to string in /opt/lampstack-7.4.1-0/apps/tl-1.19.9.01/htdocs/gui/templates_c/b8fa0f4678a56ee938ffee78cfa208872fc92c25_0.file.usersView.tpl.php:51\nStack trace:\n#0 /opt/lampstack-7.4.1-0/apps/
(0029345)
fman (administrator)
2019-12-28 11:35

fixed on branches: testlink_1_9, tl1.19.9.01
(0029380)
EDT (reporter)
2020-01-02 13:14

I don't know if this information is useful but I was getting the same error on searchResults.tpl.php:47.

After finding this issue I downgraded PHP (7.4.0 -> 7.3.13) and now the search works as expected.
(0029381)
fman (administrator)
2020-01-02 15:39

Hi @EDT, thanks
I've found same issues on several other features, and theoretically all have been fixed on
branches testlink_1_9 & tl1.19.19.01

I'm testing on PHP 7.4.1

regards

- Issue History
Date Modified Username Field Change
2019-12-27 13:44 valentim New Issue
2019-12-27 13:44 valentim File Added: TestLink_Menu.png
2019-12-27 15:19 valentim Note Added: 0029335
2019-12-27 15:20 valentim Note Edited: 0029335 View Revisions
2019-12-27 15:23 valentim Note Edited: 0029335 View Revisions
2019-12-28 07:40 fman Note Added: 0029337
2019-12-28 07:40 fman Assigned To => fman
2019-12-28 07:40 fman Status new => feedback
2019-12-28 10:25 fman Note Added: 0029342
2019-12-28 11:35 fman Note Added: 0029345
2019-12-28 12:04 fman QA Team - Task Workflow Status => READY FOR TESTING
2019-12-28 12:04 fman Status feedback => resolved
2019-12-28 12:04 fman Fixed in Version => 1.9.20
2019-12-28 12:04 fman Resolution open => fixed
2020-01-02 13:14 EDT Note Added: 0029380
2020-01-02 15:39 fman Note Added: 0029381



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker